﻿<%@ Page Language="C#" MasterPageFile="~/Views/Shared/Ext.Master" AutoEventWireup="true"
    CodeBehind="Inline.aspx.cs" Inherits="MVCnExt.Views.Grid.Manual" %>

<asp:Content ID="aboutContent" ContentPlaceHolderID="MainContent" runat="server">
    <mvc:ExtWindow ID="extWindow" autoHeight="true" title="Property Grid" Width="350"
        Height="220" runat="server">
        <items>
            <mvc:ExtGridPanel ID="ExtGridPanel1" autoHeight="true" runat="server">
                <store>
                    <mvc:ExtSimpleStore>
                        <fields>
                            <mvc:ExtRecord name="1" type="Float" />
                            <mvc:ExtRecord name="2" type="Auto" />
                            <mvc:ExtRecord name="3" type="Date" dateFormat="n/j h:ia" />
                        </fields>
                        <data>
                           [['100.0','Text test 1','2/1 12:00am'],
                           ['200.0','Text test 2','3/1 12:00am'],
                           ['300.0','Text test 3','4/1 12:00am'],
                           ['400.0','Text test 4','5/1 12:00am'],
                           ['500.0','Text test 5','6/1 12:00am'],
                           ['600.0','Text test 6','7/1 12:00am'],
                           ['700.0','Text test 7','8/1 12:00am'],
                           ['800.0','Text test 8','9/1 12:00am'],
                           ['900.0','Text test 9','10/1 12:00am'],
                           ['1000.0','Text test 10','11/1 12:00am']]
                        </data>
                    </mvc:ExtSimpleStore>
                </store>
                <cm>
                    <mvc:ExtColumn header="Amount" sortable="true" dataIndex="1" />
                    <mvc:ExtColumn header="Name" dataIndex="2" />
                    <mvc:ExtColumn header="Date" sortable="true" dataIndex="3" />
                </cm>
            </mvc:ExtGridPanel>
        </items>
    </mvc:ExtWindow>
     <mvc:ExtOnReady ID="windowOnReady" runat="server">
        <script>
            extWindow.show();
        </script>
    </mvc:ExtOnReady>
</asp:Content>
