﻿/*****************************************************************************
 
 Use of Ext is under the Ext JS license, for more information, 
 please visit http://extjs.com/products/license.php page. 
  
 You should confirm that you have read, understood and accept ethical criteria listed. 
 If not, see <http://www.mvcnext.com/license/>.
  
 Version: 1.0.0.0
 Website: http://www.mvcnext.com/
 
 Copyright (c) Yoganand R. All rights reserved.
 For continued development and updates, visit http://yogsbreath.net
 
 ******************************************************************************/
using System;
using System.Collections.Generic;
using System.Web.UI.WebControls;
using System.ComponentModel;
using System.IO;
using System.Reflection;
using System.Collections;
using System.Web.UI;
using System.Text;

namespace MVCnExt.Web.UI.Ext
{
    public class ExtHttpWriteProxy
    {
        #region Public Properties

        /// <summary>
        /// If save handler is web service then response will be xml. This option specifies how to handle response.
        /// If false then the response is handled as json
        /// If true then the response is handled as xml
        /// </summary>
        [Description("If save handler is web service then response will be xml. This option specifies how to handle response.")]
        public Boolean? handleSaveResponseAsXml { get; set; }


        #endregion
    }
}
