﻿/*****************************************************************************
 
 Use of Ext is under the Ext JS license, for more information, 
 please visit http://extjs.com/products/license.php page. 
  
 You should confirm that you have read, understood and accept ethical criteria listed. 
 If not, see <http://www.mvcnext.com/license/>.
  
 Version: 1.0.0.0
 Website: http://www.mvcnext.com/
 
 Copyright (c) Yoganand R. All rights reserved.
 For continued development and updates, visit http://yogsbreath.net
 
 ******************************************************************************/
using System;
using System.Collections.Generic;
using System.Web.UI.WebControls;
using System.ComponentModel;
using System.IO;
using System.Reflection;
using System.Collections;
using System.Web.UI;
using System.Text;

namespace MVCnExt.Web.UI.Ext
{
    /// <summary>
    /// A config object in the format: {field: 'fieldName', direction: 'ASC|DESC'}. The direction property is case-sensitive.
    /// </summary>
    [Description("A config object in the format: {field: 'fieldName', direction: 'ASC|DESC'}. The direction property is case-sensitive.")]
    [DefaultProperty("field")]
    [ToolboxData("<{0}:SortInfo field=\"\" direction=\"\"  />")]
    public class SortInfo
    {
        /// <summary>
        /// Internal UI Event. Fired before the view is refreshed.
        /// </summary>
        [Description("Internal UI Event. Fired before the view is refreshed.")]
        [PersistenceMode(PersistenceMode.Attribute)]
        public String field { get; set; }

        /// <summary>
        /// Internal UI Event. Fired before the view is refreshed.
        /// </summary>
        [Description("Internal UI Event. Fired before the view is refreshed.")]
        [PersistenceMode(PersistenceMode.Attribute)]
        public sortDirection direction { get; set; }

    }
}
