﻿using System;
using System.Web.UI;
using System.ComponentModel;

namespace MVCnExt.Web.UI.Ext
{
    /// <summary>
    /// A marker interface to indicate an object
    /// is either supported by the Menu class or 
    /// can be converted into a menu item;
    /// </summary>
    public interface IMenuItem : IScriptControl
    {
        String GetMenuItemScript();
    }

    public interface ISubMenu : IMenuItem
    {
        String text { get; set; }
    }
}
