﻿<%@ Page Language="C#" MasterPageFile="~/Views/Shared/Ext.Master" AutoEventWireup="true"
    CodeBehind="ComboBox.aspx.cs" Inherits="MVCnExt.Views.Form.ComboBox" %>

<asp:Content ID="aboutContent" ContentPlaceHolderID="MainContent" runat="server">
    <mvc:ExtWindow ID="extWindow" title="Window Example" width="400" runat="server">
        <items>
            <mvc:ExtFormPanel border="false" bodyStyle="padding:10px;" ID="frmPnl" runat="server">
                <items>
                    <mvc:ExtComboBox ID="cbo1" runat="server" name="cbo1" triggerAction="All" fieldLabel="Local data"
                        displayField="state" mode="Local">
                        <simpleStore>
                            <data>Ext.exampledata.states</data>
                            <fields>
                                <mvc:ExtRecord name="abbr" />
                                <mvc:ExtRecord name="nick" />
                                <mvc:ExtRecord name="state" />
                            </fields>
                        </simpleStore>
                    </mvc:ExtComboBox>
                    <mvc:ExtComboBox ID="ExtComboBox1" runat="server" name="cbo1" triggerAction="All"
                        fieldLabel="XML Loader" displayField="Title" mode="Local">
                        <store url="/sheldon.xml" autoLoad="true">
                            <reader>
                                <mvc:ExtXMLReader ID="asin" record="Item">
                                    <fields>
                                        <mvc:ExtRecord name="Title" mapping="ItemAttributes > Title" />
                                    </fields>
                                </mvc:ExtXMLReader>
                            </reader>
                        </store>
                    </mvc:ExtComboBox>
                    <mvc:ExtComboBox ID="ExtComboBox2" runat="server" name="cbo1" triggerAction="All"
                        fieldLabel="Combo" valueField="value" value="1" displayField="text" mode="Local">
                            <simpleStore>
                                <fields>
                                    <mvc:ExtRecord name="value" />
                                    <mvc:ExtRecord name="text" />
                                </fields>
                                <data>
                                    [['1', 'Test 1'],['2', 'Test 2']]
                                </data>
                            </simpleStore>
                    </mvc:ExtComboBox>                            
                </items>
            </mvc:ExtFormPanel>
        </items>
    </mvc:ExtWindow>
    <mvc:ExtOnReady ID="windowOnReady" runat="server">
        <script>
            extWindow.show();
        </script>
    </mvc:ExtOnReady>
    <script>
// some data used in the examples
Ext.namespace('Ext.exampledata');

Ext.exampledata.states = [
        ['AL', 'Alabama', 'The Heart of Dixie'],
        ['AK', 'Alaska', 'The Land of the Midnight Sun'],
        ['AZ', 'Arizona', 'The Grand Canyon State'],
        ['AR', 'Arkansas', 'The Natural State'],
        ['CA', 'California', 'The Golden State'],
        ['CO', 'Colorado', 'The Mountain State'],
        ['CT', 'Connecticut', 'The Constitution State'],
        ['DE', 'Delaware', 'The First State'],
        ['DC', 'District of Columbia', "The Nation's Capital"],
        ['FL', 'Florida', 'The Sunshine State'],
        ['GA', 'Georgia', 'The Peach State'],
        ['HI', 'Hawaii', 'The Aloha State'],
        ['ID', 'Idaho', 'Famous Potatoes'],
        ['IL', 'Illinois', 'The Prairie State'],
        ['IN', 'Indiana', 'The Hospitality State'],
        ['IA', 'Iowa', 'The Corn State'],
        ['KS', 'Kansas', 'The Sunflower State'],
        ['KY', 'Kentucky', 'The Bluegrass State'],
        ['LA', 'Louisiana', 'The Bayou State'],
        ['ME', 'Maine', 'The Pine Tree State'],
        ['MD', 'Maryland', 'Chesapeake State'],
        ['MA', 'Massachusetts', 'The Spirit of America'],
        ['MI', 'Michigan', 'Great Lakes State'],
        ['MN', 'Minnesota', 'North Star State'],
        ['MS', 'Mississippi', 'Magnolia State'],
        ['MO', 'Missouri', 'Show Me State'],
        ['MT', 'Montana', 'Big Sky Country'],
        ['NE', 'Nebraska', 'Beef State'],
        ['NV', 'Nevada', 'Silver State'],
        ['NH', 'New Hampshire', 'Granite State'],
        ['NJ', 'New Jersey', 'Garden State'],
        ['NM', 'New Mexico', 'Land of Enchantment'],
        ['NY', 'New York', 'Empire State'],
        ['NC', 'North Carolina', 'First in Freedom'],
        ['ND', 'North Dakota', 'Peace Garden State'],
        ['OH', 'Ohio', 'The Heart of it All'],
        ['OK', 'Oklahoma', 'Oklahoma is OK'],
        ['OR', 'Oregon', 'Pacific Wonderland'],
        ['PA', 'Pennsylvania', 'Keystone State'],
        ['RI', 'Rhode Island', 'Ocean State'],
        ['SC', 'South Carolina', 'Nothing Could be Finer'],
        ['SD', 'South Dakota', 'Great Faces, Great Places'],
        ['TN', 'Tennessee', 'Volunteer State'],
        ['TX', 'Texas', 'Lone Star State'],
        ['UT', 'Utah', 'Salt Lake State'],
        ['VT', 'Vermont', 'Green Mountain State'],
        ['VA', 'Virginia', 'Mother of States'],
        ['WA', 'Washington', 'Green Tree State'],
        ['WV', 'West Virginia', 'Mountain State'],
        ['WI', 'Wisconsin', "America's Dairyland"],
        ['WY', 'Wyoming', 'Like No Place on Earth']
    ];
</script>

</asp:Content>
