﻿<%@ Page Language="C#" MasterPageFile="~/Views/Shared/Ext.Master" AutoEventWireup="true"
    CodeBehind="FieldSet.aspx.cs" Inherits="MVCnExt.Views.Form.FieldSet" %>

<asp:Content ID="aboutContent" ContentPlaceHolderID="MainContent" runat="server">
    <mvc:ExtWindow ID="htmleditorWindow" autoHeight="true" title="Form Fieldset Example"
        Width="650" runat="server">
        <items>
            <mvc:ExtFormPanel border="false" ID="formTest" runat="server">
                <items>
                    <mvc:ExtFieldSet ID="fieldSet1" runat="server" autoHeight="true" autoWidth="true" style="margin: 5px"
                        title="FieldSet 1"> 
                        <defaults>
                            <mvc:ConfigItem name="bodyStyle" value="padding:10px" />
                        </defaults>                       
                        <items>
                            <mvc:ExtTextField ID="textField" runat="server" fieldLabel="Text field" name="textField"
                                value="Text value">
                            </mvc:ExtTextField>
                            <mvc:ExtRadio ID="radio1" runat="server" name="radio1" fieldLabel="Radio 2">
                            </mvc:ExtRadio>
                            <mvc:ExtRadio ID="ExtRadio1" runat="server" name="radio1" fieldLabel="Radio 2">
                            </mvc:ExtRadio>
                            <mvc:ExtComboBox ID="cbo1" runat="server" name="cbo1" triggerAction="All" fieldLabel="Combo"
                                displayField="text" valueField="value" mode="Local">
                                <simpleStore>
                                    <data>                                
                                            [['1', 'Test 1'],
                                            ['2', 'Test 2']]
                                    </data>
                                    <fields>
                                        <mvc:ExtRecord name="value" />
                                        <mvc:ExtRecord name="text" />
                                    </fields>
                                </simpleStore>
                            </mvc:ExtComboBox>
                        </items>
                    </mvc:ExtFieldSet>
                    <mvc:ExtFieldSet ID="fieldSet2" runat="server" autoHeight="true" autoWidth="true" style="margin: 5px"
                        title="FieldSet 2">
                        <items>
                            <mvc:ExtCheckBox ID="check1" runat="server" name="check1" fieldLabel="Check box"
                                Checked="true">
                            </mvc:ExtCheckBox>
                            <mvc:ExtDateField ID="dtF" name="Date" fieldLabel="Date" format="d.m.Y" value="16.05.1981"
                                runat="server">
                            </mvc:ExtDateField>
                            <mvc:ExtNumberField ID="numF" name="numField" fieldLabel="Number" value="222" runat="server">
                            </mvc:ExtNumberField>
                        </items>
                    </mvc:ExtFieldSet>
                </items>
            </mvc:ExtFormPanel>
        </items>
    </mvc:ExtWindow>
    <mvc:ExtOnReady ID="windowOnReady" runat="server">
        <script>
            htmleditorWindow.show();
        </script>
    </mvc:ExtOnReady>
</asp:Content>
