﻿<%@ Page Language="C#" MasterPageFile="~/Views/Shared/Ext.Master" AutoEventWireup="true"
    CodeBehind="Tabs.aspx.cs" Inherits="MVCnExt.Views.Form.Tabs" %>

<asp:Content ID="aboutContent" ContentPlaceHolderID="MainContent" runat="server">
    <mvc:ExtWindow ID="formWindow" shadow="false" autoHeight="true" title="Forms Example" width="600"
        runat="server">
        <items>
            <mvc:ExtFormPanel border="false" labelWidth="100" ID="formTest" runat="server">
                <items>
                    <mvc:ExtTabPanel bodyStyle="padding:10px" autoHeight="true" ID="ExtCenter" border="false"
                        activeTab="0" deferredRender="false" runat="server">
                        <items>
                            <mvc:ExtPanel ID="Tab1" layout="form" autoHeight="true" title="Form Tab 1" runat="server">
                                <items>
                                    <mvc:ExtTextField ID="textField" runat="server" fieldLabel="Text field" name="textField"
                                        value="Text value">
                                    </mvc:ExtTextField>
                                    <mvc:ExtRadio ID="radio1" runat="server" name="radio1" fieldLabel="Radio 2"></mvc:ExtRadio>
                                    <mvc:ExtRadio ID="ExtRadio1" runat="server" name="radio1" fieldLabel="Radio 2"></mvc:ExtRadio> 
                                    <mvc:ExtComboBox ID="cbo1" runat="server" name="cbo1" triggerAction="All" fieldLabel="Combo"
                                        displayField="text" valueField="value" mode="Local">
                                        <simpleStore>
                                            <data>                                
                                            [['1', 'Test 1'],
                                            ['2', 'Test 2']]
                                            </data>
                                            <fields>
                                                <mvc:ExtRecord name="value" />
                                                <mvc:ExtRecord name="text" />
                                            </fields>
                                        </simpleStore>
                                    </mvc:ExtComboBox>                                                                     
                                </items>
                            </mvc:ExtPanel>
                            <mvc:ExtPanel ID="ExtPanel1" layout="form" title="Form Tab 2" runat="server">
                                <items>
                                    <mvc:ExtCheckBox ID="check1" runat="server" name="check1" fieldLabel="Check box" Checked="true"></mvc:ExtCheckBox> 
                                    <mvc:ExtDateField ID="dtF" name="Date" fieldLabel="Date" format="d.m.Y" value="16.05.1981" runat="server"></mvc:ExtDateField>
                                    <mvc:ExtNumberField ID="numF" name="numField" fieldLabel="Number" value="222" runat="server"></mvc:ExtNumberField>
                                </items>                                
                            </mvc:ExtPanel>
                        </items>
                    </mvc:ExtTabPanel>
                </items>
                 <buttons>
                    <mvc:ExtButton text="Submit" type="Submit" ID="btn1" runat="server"></mvc:ExtButton>
                </buttons>
            </mvc:ExtFormPanel>
        </items>
    </mvc:ExtWindow>
    <mvc:ExtOnReady ID="windowOnReady" runat="server">
        <script>
            formWindow.show();
        </script>
    </mvc:ExtOnReady>
</asp:Content>
