﻿<%@ Page Language="C#" MasterPageFile="~/Views/Shared/Ext.Master" AutoEventWireup="true"
    CodeBehind="Editor.aspx.cs" Inherits="MVCnExt.Views.Grid.Editor" %>

<asp:Content ID="aboutContent" ContentPlaceHolderID="MainContent" runat="server">
    <mvc:ExtWindow ID="extWindow" autoHeight="true" title="Editor Grid" width="350"
        height="220" runat="server">
        <items>
            <mvc:ExtEditorGridPanel ID="ExtGridPanel1" autoHeight="true" Width="400" runat="server">
                <store>
                    <mvc:ExtSimpleStore>
                        <fields>
                            <mvc:ExtRecord name="1" type="Float" />
                            <mvc:ExtRecord name="2" />
                            <mvc:ExtRecord name="3" type="Date" dateFormat="n/j h:ia" />                            
                        </fields>
                        <data>
                           [['100.0','Text test 1','2/1 12:00am'],
                           ['200.0','Text test 2','3/1 12:00am'],
                           ['300.0','Text test 3','4/1 12:00am'],
                           ['400.0','Text test 4','5/1 12:00am'],
                           ['500.0','Text test 5','6/1 12:00am'],
                           ['600.0','Text test 6','7/1 12:00am'],
                           ['700.0','Text test 7','8/1 12:00am'],
                           ['800.0','Text test 8','9/1 12:00am'],
                           ['900.0','Text test 9','10/1 12:00am'],
                           ['1000.0','Text test 10','11/1 12:00am']]
                        </data>
                    </mvc:ExtSimpleStore>
                </store>
                <cm>
                    <mvc:ExtColumn header="Float Column" sortable="true" dataIndex="1">
                        <editor>
                            <mvc:ExtNumberField ID="numF" runat="server"></mvc:ExtNumberField>
                        </editor>
                    </mvc:ExtColumn>
                    <mvc:ExtColumn header="Text Column" dataIndex="2" >                                                                   
                        <editor>
                            <mvc:ExtTextField ID="txtF" runat="server"></mvc:ExtTextField>
                        </editor>
                    </mvc:ExtColumn>
                    <mvc:ExtColumn header="Date" sortable="true" dataIndex="3" >
                        <renderer dateRenderer="m/d/Y" />                                                   
                        <editor>
                            <mvc:ExtDateField ID="dtF" runat="server"></mvc:ExtDateField>
                        </editor>
                    </mvc:ExtColumn>
                </cm>                
            </mvc:ExtEditorGridPanel>
        </items>
    </mvc:ExtWindow>
     <mvc:ExtOnReady ID="windowOnReady" runat="server">
        <script>
            extWindow.show();
        </script>
    </mvc:ExtOnReady>
</asp:Content>
