﻿<%@ Page Language="C#" MasterPageFile="~/Views/Shared/Ext.Master" AutoEventWireup="true"
    CodeBehind="Loader.aspx.cs" Inherits="MVCnExt.Views.Grid.Loader" %>

<asp:Content ID="aboutContent" ContentPlaceHolderID="MainContent" runat="server">
    <mvc:ExtWindow ID="extWindow" autoHeight="true" title="Array Loader" Width="350"
        Height="220" runat="server">
        <items>
            <mvc:ExtEditorGridPanel ID="ExtGridPanel1" autoHeight="true" Width="400" runat="server">
                <store>
                    <mvc:ExtStore autoLoad="true">
                        <data>
                           testData
                        </data>
                        <reader>
                            <mvc:ExtArrayReader>
                                <fields>
                                    <mvc:ExtRecord name="name" />
                                    <mvc:ExtRecord name="address" />
                                    <mvc:ExtRecord name="test" />
                                </fields>
                            </mvc:ExtArrayReader>
                        </reader>
                    </mvc:ExtStore>
                </store>
                <cm>
                    <mvc:ExtColumn header="Name" sortable="true" dataIndex="name">
                    </mvc:ExtColumn>
                    <mvc:ExtColumn header="Test on Animals" dataIndex="test">
                    </mvc:ExtColumn>
                </cm>
            </mvc:ExtEditorGridPanel>
        </items>
    </mvc:ExtWindow>
    <mvc:ExtOnReady ID="windowOnReady" runat="server">

        <script>
            extWindow.show();
        </script>

    </mvc:ExtOnReady>

    <script>
        // Array data for the grids
        testData = [
    ['Avon Products', '1345 Ave. of the Americas, New York', 'Do not test'],
    ['Ecover', '2349 S. Eastern Ave., Los Angeles', 'Do not test'],
    ['Safeway', '5918 Stoneridge Mall Rd., Pleasanton', 'Do not test'],
    ['TerraNova', '1011 Gilman St., Berkeley', 'Do not test'],
    ['Warm Earth Cosmetics', '1155 Stanley Ave.', 'Do not test'],
    ['Weleda, Inc.', '1 Closter Rd., Palisades, NY 10964', 'Do not test'],
    ['The Wella Corporation', '6109 De Soto, Woodland Hills', 'Do not test'],
    ['Whole Foods Market', '550 Bowie St., Austin', 'Do not test'],
    ['Johnson & Johnson', '1 Johnson & Johnson Plz., New Brunswick', 'Do test'],
    ['Colgate-Palmolive Co.', '300 Park Ave., New York', 'Do test'],
    ['Max Factor', 'One Procter & Gamble Plz.', 'Do test'],
    ['Oral-B', '600 Clipper Dr., Belmont', 'Do test'],
    ['Pantene', 'One Procter & Gamble Plz.', 'Do test'],
    ['Procter & Gamble Co.', 'One Procter & Gamble Plz.', 'Do test'],
    ['Unilever', '800 Sylvan Ave., Englewood Cliffs', 'Do test']
];

    </script>

</asp:Content>
