﻿<%@ Page Language="C#" MasterPageFile="~/Views/Shared/Ext.Master" AutoEventWireup="true"
    CodeBehind="XMLLoader.aspx.cs" Inherits="MVCnExt.Views.Grid.XMLLoader" %>

<asp:Content ID="aboutContent" ContentPlaceHolderID="MainContent" runat="server">
    <mvc:ExtWindow ID="extWindow" title="XML Loader" autoHeight="true" contentEl="extWindow"
        width="400" runat="server">
        <items>
            <mvc:ExtGridPanel ID="ExtGridPanel1" autoHeight="true" loadMask="true" runat="server">
                <store>
                    <mvc:ExtStore autoLoad="true" url="http://localhost:1917/sheldon.xml">
                        <reader>
                            <mvc:ExtXMLReader totalRecords="@total" record="Item" ID="sdas">
                                <fields>
                                    <mvc:ExtRecord name="Author" mapping="ItemAttributes > Author" />
                                    <mvc:ExtRecord name="Title" />
                                </fields>
                            </mvc:ExtXMLReader>
                        </reader>
                    </mvc:ExtStore>
                </store>
                <cm>
                    <mvc:ExtColumn header="Author" dataIndex="Author" />
                    <mvc:ExtColumn header="Title" dataIndex="Title" />
                </cm>
                <view>
                    <mvc:ExtGridView forceFit="true" runat="server" ID="ExtGridView1">
                    </mvc:ExtGridView>
                </view>
            </mvc:ExtGridPanel>
        </items>
    </mvc:ExtWindow>
     <mvc:ExtOnReady ID="windowOnReady" runat="server">
        <script>
            extWindow.show();
        </script>
    </mvc:ExtOnReady>
</asp:Content>
