﻿<%@ Page Language="C#" MasterPageFile="~/Views/Shared/Ext.Master" AutoEventWireup="true" CodeBehind="Accordion.aspx.cs"
    Inherits="MVCnExt.Views.Layout.AccordionLayout" %>

<%@ Register Assembly="MVCnExt.Web.UI.Ext" Namespace="MVCnExt.Web.UI.Ext" TagPrefix="mvc" %>
<asp:Content ID="manualContent" ContentPlaceHolderID="MainContent" runat="server">
    <mvc:ExtWindow ID="borderLayout" title="Accordion Layout Example"
        Height="220" Width="200" runat="server">
        <items>
            <mvc:ExtPanel ID="extwestpnl" border="false" layout="accordion" runat="server"
                region="west" >
                <defaults>
                    <mvc:ConfigItem name="bodyStyle" value="padding:5px" />
                    <mvc:ConfigItem name="autoHeight" value="true" />
                </defaults>
                <items>
                    <mvc:ExtPanel ID="ExtPanel1" border="false" title="First Panel" runat="server" >
                        <html>
                            Ext is the best thing that ever happened to Web 2.0. You have made my life so much simpler. Respect. — Manu Goel — Value One 
                        </html>
                    </mvc:ExtPanel>
                    <mvc:ExtPanel ID="ExtPanel2" border="false" title="Second Panel" runat="server" >
                        <html>
                            Man, never have I experienced such high quality support and such amazing products. The Ext library is truly becoming something of a wonder. — alindsay55661
                        </html>
                    </mvc:ExtPanel>
                    <mvc:ExtPanel ID="ExtPanel3" border="false" title="Third Panel" runat="server" >
                        <html>
                            Ext's UpdateManager provides the speed and reliability that is needed to keep indycar.com Live Timing and Scoring data up-to-date when the cars are running 220+ mph around the track. — Jon (indycar.com)
                        </html>
                    </mvc:ExtPanel>
                    <mvc:ExtPanel ID="ExtPanel4" border="false" title="Fourth Panel" runat="server" >
                        <html>
                            Ext is a beautiful library, with a rare uniformity of design amongst the various components and concepts... Thank you. You have made an enormous contribution to my own work. — Jonathan F.
                        </html>
                    </mvc:ExtPanel>
                </items>
            </mvc:ExtPanel>
        </items>
    </mvc:ExtWindow>
     <mvc:ExtOnReady ID="windowOnReady" runat="server">
        <script>
            borderLayout.show();
        </script>
    </mvc:ExtOnReady>
</asp:Content>