﻿<%@ Page Language="C#" MasterPageFile="~/Views/Shared/Ext.Master" AutoEventWireup="true" CodeBehind="Border.aspx.cs" Inherits="MVCnExt.Views.Layout.BorderLayout" %>

<%@ Register Assembly="MVCnExt.Web.UI.Ext" Namespace="MVCnExt.Web.UI.Ext" TagPrefix="mvc" %>
<asp:Content ID="manualContent" ContentPlaceHolderID="MainContent" runat="server">
    <mvc:ExtWindow border="false" layout="border" ID="borderLayout" title="Border Layout Example"
        Height="500" Width="800" runat="server">
        <items>
            <mvc:ExtPanel ID="extwestpnl" split="true" runat="server" region="west" Width="100">
                <html>
                    West panel content
                </html>
            </mvc:ExtPanel>
            <mvc:ExtPanel ID="ExtPanel1" split="true" runat="server" region="center">
                <html>
                    Center panel content
                </html>
            </mvc:ExtPanel>
            <mvc:ExtPanel ID="ExtPanel2" split="true" runat="server" region="east" Width="100">
                <html>
                    East panel content
                </html>
            </mvc:ExtPanel>
            <mvc:ExtPanel ID="ExtPanel3" split="true" runat="server" region="south" Height="50">
                <html>
                    South panel content
                </html>
            </mvc:ExtPanel>
        </items>                 
    </mvc:ExtWindow>
    <mvc:ExtOnReady ID="windowOnReady" runat="server">
        <script>
            borderLayout.show();
        </script>
    </mvc:ExtOnReady>
</asp:Content>
