﻿using System;
using System.Collections.Generic;
using System.Text;
using System.ComponentModel;
using System.Web;
using System.Web.UI; 


namespace MVCnExt.Web.UI.Ext
{
    /// <summary>
    /// A dictionary-type object (key/value pair) used to 
    /// build client-side dictionaries (JSON notation)
    /// for generic property lists
    /// </summary>
    [DefaultProperty("name")]
    [ToolboxData("<{0}:ConfigItem name=\"\" value=\"\" />")]
    public class ConfigItem
    {
        [PersistenceMode(PersistenceMode.Attribute)]
        public String name { get; set; }

        [PersistenceMode(PersistenceMode.Attribute)]
        public String value { get; set; }
    }
}
